Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4016 - rpmlib.h header incorrect
Summary: rpmlib.h header incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 15:13 UTC by Cristian Gafton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-15 14:30:09 UTC


Attachments (Terms of Use)

Description Cristian Gafton 1999-07-13 15:13:04 UTC
rpmlib does the includes:

#include "rpmio.h"
#include "dbindex.h"
#include "header.h"

When an app includes it as #include <rpm/rpmlib.h> this does
not work correctly.

Comment 1 Jeff Johnson 1999-07-13 15:22:59 UTC
Add -I/usr/include/rpm to compilation flags.

Comment 2 Cristian Gafton 1999-07-13 16:07:59 UTC
the perl XS modules create shadow files of the files included  by
rpmlib.h, so having it doing
#include "header.h"
   instead of
#include <header.h>
  is a major pain because the shadow files that should not be included
are actually included.

Comment 3 Jeff Johnson 1999-07-15 14:30:59 UTC
Fixed in cvs.


Note You need to log in before you can comment on or make changes to this bug.